<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class LivreDetail extends Model
{
    protected $fillable = [
        'annonce_id', 'auteur', 'genre', 'editeur',
        'annee_publication', 'prix', 'etat',
    ];

    public function annonce(): BelongsTo
    {
        return $this->belongsTo(Annonce::class);
    }
}